GET /data/playlists/{playlist_id}/jobs/{build_job_id}

Retrieve build job related to given playlist.

Path parameters

  • playlist_id string(uuid) Required

    Playlist unique identifier

  • build_job_id string(uuid) Required

    Build job unique identifier

Responses

  • 200 application/json

    Build job related to given playlist

    Hide response attributes Show response attributes object
    • id string(uuid)

      Build job unique identifier

    • status string

      Build job status

    • created_at string(date-time)

      Build job creation timestamp

GET /data/playlists/{playlist_id}/jobs/{build_job_id}
curl -X GET "http://api.example.com/data/playlists/a24a6ea4-ce75-4665-a070-57453082c25/jobs/b35b7fb5-df86-5776-b181-68564193d36" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/playlists/a24a6ea4-ce75-4665-a070-57453082c25/jobs/b35b7fb5-df86-5776-b181-68564193d36"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request GET 'http://api.example.com/data/playlists/a24a6ea4-ce75-4665-a070-57453082c25/jobs/b35b7fb5-df86-5776-b181-68564193d36' \
 --header "Authorization: $API_KEY"
Response examples (200)
{
  "id": "a24a6ea4-ce75-4665-a070-57453082c25",
  "status": "succeeded",
  "created_at": "2022-07-12T10:30:00Z"
}